Public Attributes | List of all members
ancs_c_att_handles_t Struct Reference
BLE Services » Apple Notification Center Service (ANCS) » Structures

ancs handle structure. More...

`#include <ancs_c.h>`

## Public Attributes
uint16_t | ancs_service_handle
| Handle of ancs service as provided by a discovery. More...
uint16_t | ancs_ntf_source_handle
| Handle of ancs notification source characteristic as provided by a discovery. More...
uint16_t | ancs_ntf_source_cccd_handle
| Handle of CCCD of ancs control point characteristic as provided by a discovery. More...
uint16_t | ancs_control_point_handle
| Handle of ancs control point characteristic as provided by a discovery. More...
uint16_t | ancs_data_source_handle
| Handle of ancs data source characteristic as provided by a discovery. More...
uint16_t | ancs_data_source_cccd_handle
| Handle of CCCD of ancs data source characteristic as provided by a discovery. More...

## Detailed Description

ancs handle structure.

Definition at line 116 of file ancs_c.h.

## Member Data Documentation

## ◆ ancs_control_point_handle

uint16_t ancs_c_att_handles_t::ancs_control_point_handle

Handle of ancs control point characteristic as provided by a discovery.

Definition at line 121 of file ancs_c.h.

## ◆ ancs_data_source_cccd_handle

uint16_t ancs_c_att_handles_t::ancs_data_source_cccd_handle

Handle of CCCD of ancs data source characteristic as provided by a discovery.

Definition at line 123 of file ancs_c.h.

## ◆ ancs_data_source_handle

uint16_t ancs_c_att_handles_t::ancs_data_source_handle

Handle of ancs data source characteristic as provided by a discovery.

Definition at line 122 of file ancs_c.h.

## ◆ ancs_ntf_source_cccd_handle

uint16_t ancs_c_att_handles_t::ancs_ntf_source_cccd_handle

Handle of CCCD of ancs control point characteristic as provided by a discovery.

Definition at line 120 of file ancs_c.h.

## ◆ ancs_ntf_source_handle

uint16_t ancs_c_att_handles_t::ancs_ntf_source_handle

Handle of ancs notification source characteristic as provided by a discovery.

Definition at line 119 of file ancs_c.h.

## ◆ ancs_service_handle

uint16_t ancs_c_att_handles_t::ancs_service_handle

Handle of ancs service as provided by a discovery.

Definition at line 118 of file ancs_c.h.

The documentation for this struct was generated from the following file:

- ancs_c.h